Skip to main content
GET
/
api
/
serviceAccounts
/
v1
/
serviceAccounts
/
{serviceAccountIdpId}
/
tokens
cURL
curl --request GET \
  --url https://api.example.com/api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/tokens \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  },
  "tokens": [
    {
      "createdAt": "2025-08-21T23:51:54.075Z",
      "isValid": true,
      "name": "<string>",
      "serviceAccountIdpId": "<string>",
      "expiresAt": "2025-08-21T23:51:54.075Z"
    }
  ]
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

serviceAccountIdpId
string
required

Query Parameters

offset
integer<int32>
default:0

Zero-based; indicates how many events to skip over before

limit
integer<int32>
default:50

Maximum number of records to return.

Response

Get the list of tokens associated with a particular service account

metadata
object
required
tokens
object[]
required